package utopp.gui.usecaseframe;

import java.awt.*;
import javax.swing.*;


class Misc2Tab extends JPanel
  {
  JLabel      jlServices;
  JScrollPane jspServices;
  JTextArea   jtaServices;
  JLabel      jlAnmerkungen;
  JScrollPane jspAnmerkungen;
  JTextArea   jtaAnmerkungen;
  JLabel      jlAnsprechpartner;
  JScrollPane jspAnsprechpartner;
  JTextArea   jtaAnsprechpartner;

  Misc2Tab()
    {
    initGUI();
    }

  public void add(Component c, GridBagConstraints gbc, int x, int y, int w, int h, int wx, int wy)
    {
    gbc.gridx = x;
    gbc.gridy = y;
    gbc.gridwidth = w;
    gbc.gridheight = h;
    gbc.weightx = wx;
    gbc.weighty = wy;
    this.add(c, gbc);
    }

  void initGUI()
    {
      //Layout Einstellungen
    GridBagLayout gblLayout = new GridBagLayout();
    this.setLayout(gblLayout);
    GridBagConstraints myGBC = new GridBagConstraints();
    myGBC.fill = GridBagConstraints.BOTH;
      //Hinzufgen der Komponenten
      //Services
    jlServices  = new JLabel("Services:");
    add(jlServices,myGBC,0,0,1,1,100,0);
    jtaServices = new JTextArea();
    jspServices = new JScrollPane(jtaServices);
    add(jspServices,myGBC,0,1,1,1,100,100);
      //Anmerkungen
    jlAnmerkungen  = new JLabel("Anmerkungen:");
    add(jlAnmerkungen,myGBC,0,2,1,1,100,0);
    jtaAnmerkungen = new JTextArea();
    jspAnmerkungen = new JScrollPane(jtaAnmerkungen);
    add(jspAnmerkungen,myGBC,0,3,1,1,100,100);
      //Ansprechpartner
    jlAnsprechpartner  = new JLabel("Ansprechpartner:");
    add(jlAnsprechpartner,myGBC,0,4,1,1,100,0);
    jtaAnsprechpartner = new JTextArea();
    jspAnsprechpartner = new JScrollPane(jtaAnsprechpartner);
    add(jspAnsprechpartner,myGBC,0,5,1,1,100,100);
    }

  public String[] getData()
    {
    String[] aM2T = new String[3];
    aM2T[0]=jtaServices.getText();
    aM2T[1]=jtaAnmerkungen.getText();
    aM2T[2]=jtaAnsprechpartner.getText();
    return aM2T;
    }

  public void setData(String[] data)
    {
    jtaServices.setText(data[0]);
    jtaAnmerkungen.setText(data[1]);
    jtaAnsprechpartner.setText(data[2]);
    }//end setData

  String getServicesText()
    {
    return jtaServices.getText();
    }

  String getAnmerkungenText()
    {
    return jtaAnmerkungen.getText();
    }

  String getAnsprechpartnerText()
    {
    return jtaAnsprechpartner.getText();
    }

  void setServicesText(String s)
    {
    jtaServices.setText(s);
    }

  void setAnmerkungenText(String s)
    {
    jtaAnmerkungen.setText(s);
    }

  void setAnsprechpartnerText(String s)
    {
    jtaAnsprechpartner.setText(s);
    }
  }//end class Misc2Tab