package utopp.gui.usecaseframe;

import java.awt.*;
import javax.swing.*;
import utopp.modell.*;
import utopp.gui.*;

public class UseCaseDataPanel extends DataPanel 
  {
  JTabbedPane jtpListControlTab;
  JButton jbApply;

  public UseCaseDataPanel()
    {
    super();
    buildGUI();
    }

  /*public void add(Component c, GridBagConstraints gbc, int x, int y, int w, int h, int wx, int wy)
    {
    gbc.gridx = x;
    gbc.gridy = y;
    gbc.gridwidth = w;
    gbc.gridheight = h;
    gbc.weightx = wx;
    gbc.weighty = wy;
    this.add(c, gbc);
    }*/
  
void buildGUI()
    {
    GridBagLayout gblLayout = new GridBagLayout();
    this.setLayout(gblLayout);
    GridBagConstraints myGBC = new GridBagConstraints();
    myGBC.fill = GridBagConstraints.BOTH;
      //Tabbed Pane
    jtpListControlTab = new JTabbedPane(JTabbedPane.TOP);
    jtpListControlTab.addTab("Main...",new MainTab());
    jtpListControlTab.addTab("Ablauf",new AblaufTab());
    jtpListControlTab.addTab("Misc1",new Misc1Tab());
    jtpListControlTab.addTab("Misc2",new Misc2Tab());
    this.add(jtpListControlTab,myGBC,0,0,1,1,100,100);
      //Apply Button
    jbApply = new JButton("Apply");
    jbApply.addActionListener(this);
    this.add(jbApply,myGBC,0,1,1,1,100,0);
    this.setVisible(true);
    }
  
  public void setData(Object dataa)
    {
    showing = dataa;
    UmlUseCase data = (UmlUseCase) dataa;
    String[][] dat = data.getData();
    ((MainTab)jtpListControlTab.getComponentAt(0)).setData(dat[0]);
    ((AblaufTab)jtpListControlTab.getComponentAt(1)).setData(dat[1]);
    ((Misc1Tab)jtpListControlTab.getComponentAt(2)).setData(dat[2]);
    ((Misc2Tab)jtpListControlTab.getComponentAt(3)).setData(dat[3]);
    }
  
  public void getData(Object item)
    {
    String[][] dat = new String[4][];
    dat[0]=((MainTab)jtpListControlTab.getComponentAt(0)).getData();
    dat[1]=((AblaufTab)jtpListControlTab.getComponentAt(1)).getData();
    dat[2]=((Misc1Tab)jtpListControlTab.getComponentAt(2)).getData();
    dat[3]=((Misc2Tab)jtpListControlTab.getComponentAt(3)).getData();
    ((UmlUseCase)item).setData(dat);
    }
  
  public Object getObject()
    {
    String[][] dat = new String[4][];
    dat[0]=((MainTab)jtpListControlTab.getComponentAt(0)).getData();
    dat[1]=((AblaufTab)jtpListControlTab.getComponentAt(1)).getData();
    dat[2]=((Misc1Tab)jtpListControlTab.getComponentAt(2)).getData();
    dat[3]=((Misc2Tab)jtpListControlTab.getComponentAt(3)).getData();
    return new UmlUseCase(dat);
    }

  public Object getDummy()
    {
    return new UmlUseCase("<name>");
    }    

  }//end class UseCaseDataPanel