package utopp.xml;

import java.io.*;

public class XmlFactory{
  
  public static String TAG_FRONT_BEGIN = "<";
  public static String TAG_BACK = ">";
  public static String TAG_BACK_END = "/>";
  public static String TAG_FRONT_END = "</";
  public static String NEXT_LINE = "\n";
    
  public static String getGap(String el, int count ){
  	String h="";
    for(int i=0; i<count; i++)
	  h=h+el;
	return h;  
  
  }
  
  public static String getTag(String name){
  	return TAG_FRONT_BEGIN+name+TAG_BACK;
  }
  
  public static String getEndTag(String name){
  	return TAG_FRONT_END+name+TAG_BACK;	
  }
  
  public static String getStartEndTag(String name){
    return TAG_FRONT_BEGIN+name+TAG_BACK_END;
  }
  
  public static String getTag(ParseResult pr){
  	if (pr.getState()==2) 
	  return getTag(pr.getTag());
	if (pr.getState()==3) 
	  return getEndTag(pr.getTag());
	if (pr.getState()==2) 
	  return getStartEndTag(pr.getTag());
	return "";      
  }
  
  public static String getTaggedValue(String tagName, String value){
  	tagName = tagName+TAG_BACK;
    return TAG_FRONT_BEGIN+tagName+value+TAG_FRONT_END+tagName;
  }	
  
}