package utopp.gui.assoziationsframe;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import utopp.gui.*;
import utopp.modell.*;
import utopp.modell.event.*;
import utopp.diagram.*;

public class AssControlPanel extends ListControlPanel
{
  public AssControlPanel(DiagramUpdateListener listen){
    super(new UmlAssoziationsListe(), new AssDataPanel());
	jpmList.addSeparator();
	jpmList.add(ComponentFactory.getJMenuItem("Zu MultiAssoziation", this));	
	jpmList.add(ComponentFactory.getJMenuItem("Zu BinrAssoziation", this));
	addDiagramUpdateListener(listen);
  }
  
  public void actionPerformed(ActionEvent e){
    
	if (e.getActionCommand().equals("Zu MultiAssoziation"))	
	{	  
	  int i=jliListe.getSelectedIndex();
	  if (i>=0) 
	  {
	    Object x = data.get(i);
	    if (x instanceof UmlBinaerAssoziation)
		{
	       UmlMultiAssoziation h  = new UmlMultiAssoziation(x);
		   try {		   	 
	         data.remove(x);
	         data.addWithCheck(i, h);
	         setSelected(h);
		   } catch (ElementExistiertException eee){System.out.println(eee);}
		}
	  }		  
	}
	else
	if (e.getActionCommand().equals("Zu BinrAssoziation"))	
	{
	  int i=jliListe.getSelectedIndex();
	  if (i>=0) 
	  {
	    Object x = data.get(i);
	    if (x instanceof UmlMultiAssoziation)
		{
	       UmlBinaerAssoziation h  = new UmlBinaerAssoziation(x);
		   try {		   	 
	         data.remove(x);
	         data.addWithCheck(i, h);
	         setSelected(h);
		   } catch (ElementExistiertException eee){System.out.println(eee);}
		}
	  }	  		
	} else
	    super.actionPerformed(e);
	
  } //actionPerformed
} 