package utopp.gui.assoziationsframe;

import java.awt.*;
import javax.swing.*;
import utopp.gui.*;
import utopp.modell.*;

public class BinaerAssDataPanel extends DataPanel
{
  BinaerAssAllgPanel bapAllg;
  RollenDataPanel rdpRolle1;
  RollenDataPanel rdpRolle2;
  
  public BinaerAssDataPanel()
  {
    super();
	initGUI();
	this.setBorder(BorderFactory.createTitledBorder("BinrAssoziation"));		 
  }
  
  public static void setKlassen(UmlKlassenListe klassen){
    RollenDataPanel.setKlassen(klassen);
  }
  
  public void setData(Object data)
  {
  	 UmlBinaerAssoziation h = (UmlBinaerAssoziation) data;
	 
	 this.bapAllg.setData(h);
	 if (h.getRolle1()!=null)
	   this.rdpRolle1.setData(h.getRolle1());
	 if (h.getRolle2()!=null)
	   this.rdpRolle2.setData(h.getRolle2());
	showing = data;   
  }
  
  public void getData(Object item){
   
  	UmlBinaerAssoziation h = (UmlBinaerAssoziation) item;
	  bapAllg.getData(h);
	  h.setRolle1((UmlAssRolle) rdpRolle1.getObject());
	  h.setRolle2((UmlAssRolle) rdpRolle2.getObject()); 
  }
  
  public Object getObject(){
  	UmlBinaerAssoziation h = (UmlBinaerAssoziation) bapAllg.getObject();
	h.setRolle1((UmlAssRolle) rdpRolle1.getObject());
	h.setRolle2((UmlAssRolle) rdpRolle2.getObject());
    return (Object) h;
  } 
  
  public Object getDummy(){
    return bapAllg.getDummy();
  }
	
  void initGUI()
  {
  	 
   GridBagConstraints myGBC = new GridBagConstraints();
   myGBC.fill = GridBagConstraints.BOTH;
   
   myGBC.insets = NORMAL; 
	
	bapAllg = new BinaerAssAllgPanel();
	this.add(bapAllg, myGBC, 0,0,2,1,100,100);
	
	myGBC.insets = OBEN;
	rdpRolle1 = new RollenDataPanel("Rolle 1");
	this.add(rdpRolle1, myGBC, 0,1,1,1,100,100 );
	
    rdpRolle2 = new RollenDataPanel("Rolle 2");
	this.add(rdpRolle2, myGBC, 1,1,1,1,100,100);
	
  }

}