package utopp.gui.usecaseframe;

import java.awt.*;
import javax.swing.*;


class Misc1Tab extends JPanel
  {
  JLabel      jlInvarianten;
  JScrollPane jspInvarianten;
  JTextArea   jtaInvarianten;
  JLabel      jlNFA;
  JScrollPane jspNFA;
  JTextArea   jtaNFA;
  JLabel      jlVariationen;
  JScrollPane jspVariationen;
  JTextArea   jtaVariationen;
  JLabel      jlRegeln;
  JScrollPane jspRegeln;
  JTextArea   jtaRegeln;

  Misc1Tab()
    {
    initGUI();
    }

  public void add(Component c, GridBagConstraints gbc, int x, int y, int w, int h, int wx, int wy)
    {
    gbc.gridx = x;
    gbc.gridy = y;
    gbc.gridwidth = w;
    gbc.gridheight = h;
    gbc.weightx = wx;
    gbc.weighty = wy;
    this.add(c, gbc);
    }

  void initGUI()
    {
      //Layout Einstellungen
    GridBagLayout gblLayout = new GridBagLayout();
    this.setLayout(gblLayout);
    GridBagConstraints myGBC = new GridBagConstraints();
    myGBC.fill = GridBagConstraints.BOTH;
      //Hinzufgen der Komponenten
      //Invarianten
    jlInvarianten  = new JLabel("Invarianten:");
    add(jlInvarianten,myGBC,0,0,1,1,100,0);
    jtaInvarianten = new JTextArea();
    jspInvarianten = new JScrollPane(jtaInvarianten);
    add(jspInvarianten,myGBC,0,1,1,1,100,100);
      //NFA
    jlNFA  = new JLabel("Nicht-funktionale Anforderungen:");
    add(jlNFA,myGBC,0,2,1,1,100,0);
    jtaNFA = new JTextArea();
    jspNFA = new JScrollPane(jtaNFA);
    add(jspNFA,myGBC,0,3,1,1,100,100);
      //Variationen
    jlVariationen  = new JLabel("Variationen:");
    add(jlVariationen,myGBC,0,4,1,1,100,0);
    jtaVariationen = new JTextArea();
    jspVariationen = new JScrollPane(jtaVariationen);
    add(jspVariationen,myGBC,0,5,1,1,100,100);
      //Regeln
    jlRegeln  = new JLabel("Regeln:");
    add(jlRegeln,myGBC,0,6,1,1,100,0);
    jtaRegeln = new JTextArea();
    jspRegeln = new JScrollPane(jtaRegeln);
    add(jspRegeln,myGBC,0,7,1,1,100,100);
    }

  public String[] getData()
    {
    String[] aM1T = new String[4];
    aM1T[0]=jtaInvarianten.getText();
    aM1T[1]=jtaNFA.getText();
    aM1T[2]=jtaVariationen.getText();
    aM1T[3]=jtaRegeln.getText();
    return aM1T;
    }

  public void setData(String[] data)
    {
    jtaInvarianten.setText(data[0]);
    jtaNFA.setText(data[1]);
    jtaVariationen.setText(data[2]);
    jtaRegeln.setText(data[3]);
    }//end setData

  String getInvariantenText()
    {
    return jtaInvarianten.getText();
    }

  String getNFAText()
    {
    return jtaNFA.getText();
    }

  String getVariationenText()
    {
    return jtaVariationen.getText();
    }

  String getRegelnText()
    {
    return jtaRegeln.getText();
    }

  void setInvariantenText(String s)
    {
    jtaInvarianten.setText(s);
    }

  void setNFAText(String s)
    {
    jtaNFA.setText(s);
    }

  void setVariationenText(String s)
    {
    jtaVariationen.setText(s);
    }

  void setRegelnText(String s)
    {
    jtaRegeln.setText(s);
    }
  }//end class Misc1Tab